> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクション内のドキュメントにファイルを追加します

> 指定されたトランザクションの Document で処理する一連のファイルをアップロードします。
処理対象ファイルの最大サイズは 2 GB を超えないようにしてください。
Process skill におけるトランザクションごとの最大ファイル数は 1000 件を超えないようにしてください。



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/documents/{documentId}/sourceFiles:
    post:
      tags:
        - TransactionDocuments
      summary: トランザクション内のドキュメントにファイルを追加します
      description: |-
        指定されたトランザクションの Document で処理する一連のファイルをアップロードします。
        処理対象ファイルの最大サイズは 2 GB を超えないようにしてください。
        Process skill におけるトランザクションごとの最大ファイル数は 1000 件を超えないようにしてください。
      operationId: AddFilesToTransactionDocument
      parameters:
        - description: トランザクション識別子
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
        - description: トランザクション ドキュメント識別子
          in: path
          name: documentId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          multipart/form-data:
            encoding:
              Files:
                contentType: application/octet-stream
                explode: true
                style: form
              Model:
                contentType: application/json
                explode: true
                style: form
            schema:
              properties:
                Files:
                  items:
                    description: multipart/* コンテンツで渡されたファイルを受け取るためのモデル
                    format: binary
                    type: string
                  type: array
                Model:
                  additionalProperties: false
                  description: >-
                    トランザクションドキュメント用の追加処理パラメーターです。TransactionDocumentMetadataDto
                    モデルを参照してください。
                  properties:
                    files:
                      description: ファイル処理のParameter
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto
                      nullable: true
                      type: array
                  type: object
              type: object
      responses:
        '200':
          description: ファイルがトランザクションのドキュメントに正常に追加されました
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 必須のParameterが無効であるか、ファイルサイズが上限を超えています
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: このトランザクションは別のテナントに属しています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: トランザクションが見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: 最大ファイル数を超えました
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionDocumentFileMetadataDto:
      additionalProperties: false
      description: 追加のファイル処理用 Parameter
      properties:
        index:
          description: トランザクション内のドキュメントに含まれるファイルの順序は、この Parameter で決まります
          nullable: true
          type: string
        registrationParameters:
          description: |-
            Additional file registration parameters. Predefined parameters:
                        
            SourceType: ファイルの入手元。通常はコネクタ名（スキャニングステーション）;
                        
            SourceDetails: ファイルの受信方法;
                        
            SourceFileName: 追加するファイル名（invoice.jfif）
                        
            SourceFilePath: ファイルへのパス
                        
            SourceArchiveName: 追加するファイルを含むアーカイブ名
                        
            SourceFolderName: 追加するファイルを含むサブフォルダー名
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter
          maxItems: 10
          nullable: true
          type: array
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter:
      additionalProperties: false
      properties:
        key:
          description: Parameter のキー名
          minLength: 1
          type: string
        value:
          description: Parameter の値
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````